import java.io.File;

final class Class517 implements Runnable {

   static RS2Buffer aClass225_Sub23_6083;


   public void method10968() {
      try {
         IcmpService_Sub1.anIcmpService_Sub1_8391.run();
      } catch (Throwable var2) {
         ;
      }

      IcmpService_Sub1.anIcmpService_Sub1_8391 = null;
   }

   public void run() {
      try {
         IcmpService_Sub1.anIcmpService_Sub1_8391.run();
      } catch (Throwable var2) {
         ;
      }

      IcmpService_Sub1.anIcmpService_Sub1_8391 = null;
   }

   public void method10969() {
      try {
         IcmpService_Sub1.anIcmpService_Sub1_8391.run();
      } catch (Throwable var2) {
         ;
      }

      IcmpService_Sub1.anIcmpService_Sub1_8391 = null;
   }

   public void method10970() {
      try {
         IcmpService_Sub1.anIcmpService_Sub1_8391.run();
      } catch (Throwable var2) {
         ;
      }

      IcmpService_Sub1.anIcmpService_Sub1_8391 = null;
   }

   static final void method10971(Class124 var0, Class121 var1, Class508 var2, int var3) {
      var0.aString1457 = (String)var2.anObjectArray6004[(var2.anInt6005 -= -46848683) * 639741949];
   }

   static final void method10972(Class508 var0, int var1) {
      boolean var2 = false;
      String var3 = "";
      if(null != var0.aClass191_6022 && var0.aClass191_6022.method3324(-1390799967)) {
         File var4 = var0.aClass191_6022.method3323(1906459753);
         if(var4 != null) {
            var3 = var4.getPath();
            if(null == var3) {
               var3 = "";
            }
         }

         var2 = true;
         var0.aClass191_6022 = null;
      }

      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = var2?1:0;
      var0.anObjectArray6004[(var0.anInt6005 += -46848683) * 639741949 - 1] = var3;
   }

   static final void method10973(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class32.method868(var3, var4, var0, (byte)9);
   }
}
